Subject: Re: 29.0.50; mailcap does not use mailcap-mime-data if no mailcap files exist

From: Visuwesh <[email-masked]>
Date: Tue, 4 Jan 2022 17:10:25 +0100 (CET)

4 Jan 2022, 21:33 by [email-masked]:
> If none of the default mailcap files used by `mailcap-parse-mailcaps'
> exist in the system, as in my case, `file-has-changed-p' returns nil
> every time so `mailcap--computed-mime-data' never gets populated with
> the values from `mailcap-parse-mailcaps'.  I have to manually evaluate
                   ^^^^^^^^^^^^^^^^^^^^^^
I meant, "values from `mailcap-mime-data'."  I apologise for the mistake.

> the `cl-loop' form.
>
> This problem did not exist in da67e888d5360297cdf20cd3d2a1148727d16e5a
> where the `file-has-changed-p' call is not present.  Emacs 28 also does
> not have this problem.
>
>
> Regards.
>[...]